<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'care_provider',

    /*
     * Modules.
     */
    'modules'   => ['care_provider'],

    
    'care_provider'       => [
        'model' => [
            'model'                 => \B2buy\CareProvider\Models\CareProvider::class,
            'table'                 => 'care_providers',
            'presenter'             => \B2buy\CareProvider\Repositories\Presenter\CareProviderPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'first_name',  'last_name',  'email',  'phone',  'dob',  'address_line1',  'address_line2',  'city',  'post_code',  'state_id',  'package_type',  'type',  'self_managed',  'care_provider',  'care_first_name',  'care_last_name',  'care_email',  'care_phone',  'submitted_by',  'referel_source',  'terms',  'user_type',  'user_id',  'company_id',  'case_manager_id',  'status',  'deleted_at',  'created_at',  'updated_at'],
            'translatables'         => [],
            'upload_folder'         => 'care_provider/care_provider',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'B2buy',
            'package'   => 'CareProvider',
            'module'    => 'CareProvider',
        ],

    ],
];
