<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for care_provider in care_provider package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  care_provider module in care_provider package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'CareProvider',
    'names'         => 'CareProviders',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'CareProviders',
        'sub'   => 'CareProviders',
        'list'  => 'List of care_providers',
        'edit'  => 'Edit care_provider',
        'create'    => 'Create new care_provider'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'package_type'        => ['NDIS','HCP'],
            'self_managed'        => ['on','off'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'first_name'                 => 'Please enter first name',
        'last_name'                  => 'Please enter last name',
        'email'                      => 'Please enter email',
        'phone'                      => 'Please enter phone',
        'dob'                        => 'Please select dob',
        'address_line1'              => 'Please enter address line1',
        'address_line2'              => 'Please enter address line2',
        'city'                       => 'Please enter city',
        'post_code'                  => 'Please enter post code',
        'state_id'                   => 'Please enter state id',
        'package_type'               => 'Please select package type',
        'type'                       => 'Please enter type',
        'self_managed'               => 'Please select self managed',
        'care_provider'              => 'Please enter care provider',
        'care_first_name'            => 'Please enter care first name',
        'care_last_name'             => 'Please enter care last name',
        'care_email'                 => 'Please enter care email',
        'care_phone'                 => 'Please enter care phone',
        'submitted_by'               => 'Please enter submitted by',
        'referel_source'             => 'Please enter referel source',
        'terms'                      => 'Please enter terms',
        'user_type'                  => 'Please enter user type',
        'user_id'                    => 'Please enter user id',
        'company_id'                 => 'Please enter company id',
        'case_manager_id'            => 'Please enter case manager id',
        'status'                     => 'Please enter status',
        'deleted_at'                 => 'Please select deleted at',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'first_name'                 => 'First name',
        'last_name'                  => 'Last name',
        'email'                      => 'Email',
        'phone'                      => 'Phone',
        'dob'                        => 'Dob',
        'address_line1'              => 'Address line1',
        'address_line2'              => 'Address line2',
        'city'                       => 'City',
        'post_code'                  => 'Post code',
        'state_id'                   => 'State id',
        'package_type'               => 'Package type',
        'type'                       => 'Type',
        'self_managed'               => 'Self managed',
        'care_provider'              => 'Care provider',
        'care_first_name'            => 'Care first name',
        'care_last_name'             => 'Care last name',
        'care_email'                 => 'Care email',
        'care_phone'                 => 'Care phone',
        'submitted_by'               => 'Submitted by',
        'referel_source'             => 'Referel source',
        'terms'                      => 'Terms',
        'user_type'                  => 'User type',
        'user_id'                    => 'User id',
        'company_id'                 => 'Company id',
        'case_manager_id'            => 'Case manager id',
        'status'                     => 'Status',
        'deleted_at'                 => 'Deleted at',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'first_name'                 => ['name' => 'First name', 'data-column' => 1, 'checked'],
        'last_name'                  => ['name' => 'Last name', 'data-column' => 2, 'checked'],
        'email'                      => ['name' => 'Email', 'data-column' => 3, 'checked'],
        'phone'                      => ['name' => 'Phone', 'data-column' => 4, 'checked'],
        'dob'                        => ['name' => 'Dob', 'data-column' => 5, 'checked'],
        'address_line1'              => ['name' => 'Address line1', 'data-column' => 6, 'checked'],
        'address_line2'              => ['name' => 'Address line2', 'data-column' => 7, 'checked'],
        'city'                       => ['name' => 'City', 'data-column' => 8, 'checked'],
        'post_code'                  => ['name' => 'Post code', 'data-column' => 9, 'checked'],
        'state_id'                   => ['name' => 'State id', 'data-column' => 10, 'checked'],
        'package_type'               => ['name' => 'Package type', 'data-column' => 11, 'checked'],
        'type'                       => ['name' => 'Type', 'data-column' => 12, 'checked'],
        'self_managed'               => ['name' => 'Self managed', 'data-column' => 13, 'checked'],
        'care_provider'              => ['name' => 'Care provider', 'data-column' => 14, 'checked'],
        'care_first_name'            => ['name' => 'Care first name', 'data-column' => 15, 'checked'],
        'care_last_name'             => ['name' => 'Care last name', 'data-column' => 16, 'checked'],
        'care_email'                 => ['name' => 'Care email', 'data-column' => 17, 'checked'],
        'care_phone'                 => ['name' => 'Care phone', 'data-column' => 18, 'checked'],
        'submitted_by'               => ['name' => 'Submitted by', 'data-column' => 19, 'checked'],
        'referel_source'             => ['name' => 'Referel source', 'data-column' => 20, 'checked'],
        'terms'                      => ['name' => 'Terms', 'data-column' => 21, 'checked'],
        'company_id'                 => ['name' => 'Company id', 'data-column' => 22, 'checked'],
        'case_manager_id'            => ['name' => 'Case manager id', 'data-column' => 23, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'CareProviders',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
