<!-- Content Wrapper. Contains page content -->
<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            <i class="fa fa-file-text-o"></i> {!! trans('care_provider::care_provider.name') !!} <small> {!! trans('app.manage') !!} {!! trans('care_provider::care_provider.names') !!}</small>
        </h1>
        <ol class="breadcrumb">
            <li><a href="{!! guard_url('/') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
            <li class="active">{!! trans('care_provider::care_provider.names') !!}</li>
        </ol>
    </section>
    <!-- Main content -->
    <section class="content">
    <div id='care_provider-care_provider-entry'>
    </div>
        <div class="nav-tabs-custom">
            <ul class="nav nav-tabs">
                    <li class="{!!(request('status') == '')?'active':'';!!}"><a href="{!!guard_url('care_provider/care_provider')!!}">{!! trans('care_provider::care_provider.names') !!}</a></li>
                    <li class="{!!(request('status') == 'archive')?'active':'';!!}"><a href="{!!guard_url('care_provider/care_provider?status=archive')!!}">Archived</a></li>
                    <li class="{!!(request('status') == 'deleted')?'active':'';!!}"><a href="{!!guard_url('care_provider/care_provider?status=deleted')!!}">Trashed</a></li>
                    <li class="pull-right">
                    <span class="actions">
                    <!--   
                    <a  class="btn btn-xs btn-purple"  href="{!!guard_url('care_provider/care_provider/reports')!!}"><i class="fa fa-bar-chart" aria-hidden="true"></i><span class="hidden-sm hidden-xs"> Reports</span></a>
                    @include('care_provider::admin.care_provider.partial.actions')
                    -->
                    @include('care_provider::admin.care_provider.partial.filter')
                    @include('care_provider::admin.care_provider.partial.column')
                    </span> 
                </li>
            </ul>
            <div class="tab-content">
                <table id="care_provider-care_provider-list" class="table table-striped data-table">
                    <thead class="list_head">
                        <th style="text-align: right;" width="1%"><a class="btn-reset-filter" href="#Reset" style="display:none; color:#fff;"><i class="fa fa-filter"></i></a> <input type="checkbox" id="care_provider-care_provider-check-all"></th>
                        <th data-field="first_name">{!! trans('care_provider::care_provider.label.first_name')!!}</th>
                    <th data-field="last_name">{!! trans('care_provider::care_provider.label.last_name')!!}</th>
                    <th data-field="email">{!! trans('care_provider::care_provider.label.email')!!}</th>
                    <th data-field="phone">{!! trans('care_provider::care_provider.label.phone')!!}</th>
                    <th data-field="dob">{!! trans('care_provider::care_provider.label.dob')!!}</th>
                    <th data-field="address_line1">{!! trans('care_provider::care_provider.label.address_line1')!!}</th>
                    <th data-field="address_line2">{!! trans('care_provider::care_provider.label.address_line2')!!}</th>
                    <th data-field="city">{!! trans('care_provider::care_provider.label.city')!!}</th>
                    <th data-field="post_code">{!! trans('care_provider::care_provider.label.post_code')!!}</th>
                    <th data-field="state_id">{!! trans('care_provider::care_provider.label.state_id')!!}</th>
                    <th data-field="package_type">{!! trans('care_provider::care_provider.label.package_type')!!}</th>
                    <th data-field="type">{!! trans('care_provider::care_provider.label.type')!!}</th>
                    <th data-field="self_managed">{!! trans('care_provider::care_provider.label.self_managed')!!}</th>
                    <th data-field="care_provider">{!! trans('care_provider::care_provider.label.care_provider')!!}</th>
                    <th data-field="care_first_name">{!! trans('care_provider::care_provider.label.care_first_name')!!}</th>
                    <th data-field="care_last_name">{!! trans('care_provider::care_provider.label.care_last_name')!!}</th>
                    <th data-field="care_email">{!! trans('care_provider::care_provider.label.care_email')!!}</th>
                    <th data-field="care_phone">{!! trans('care_provider::care_provider.label.care_phone')!!}</th>
                    <th data-field="submitted_by">{!! trans('care_provider::care_provider.label.submitted_by')!!}</th>
                    <th data-field="referel_source">{!! trans('care_provider::care_provider.label.referel_source')!!}</th>
                    <th data-field="terms">{!! trans('care_provider::care_provider.label.terms')!!}</th>
                    <th data-field="company_id">{!! trans('care_provider::care_provider.label.company_id')!!}</th>
                    <th data-field="case_manager_id">{!! trans('care_provider::care_provider.label.case_manager_id')!!}</th>
                    </thead>
                </table>
            </div>
        </div>
    </section>
</div>

<script type="text/javascript">

var oTable;
var oSearch;
$(document).ready(function(){
    app.load('#care_provider-care_provider-entry', '{!!guard_url('care_provider/care_provider/0')!!}');
    oTable = $('#care_provider-care_provider-list').dataTable( {
        'columnDefs': [{
            'targets': 0,
            'searchable': false,
            'orderable': false,
            'className': 'dt-body-center',
            'render': function (data, type, full, meta){
                return '<input type="checkbox" name="id[]" value="' + data.id + '">';
            }
        }], 
        
        "responsive" : true,
        "order": [[1, 'asc']],
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! guard_url('care_provider/care_provider') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $.each(oSearch, function(key, val){
                aoData.push( { 'name' : key, 'value' : val } );
            });
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'id'},
            {data :'first_name'},
            {data :'last_name'},
            {data :'email'},
            {data :'phone'},
            {data :'dob'},
            {data :'address_line1'},
            {data :'address_line2'},
            {data :'city'},
            {data :'post_code'},
            {data :'state_id'},
            {data :'package_type'},
            {data :'type'},
            {data :'self_managed'},
            {data :'care_provider'},
            {data :'care_first_name'},
            {data :'care_last_name'},
            {data :'care_email'},
            {data :'care_phone'},
            {data :'submitted_by'},
            {data :'referel_source'},
            {data :'terms'},
            {data :'company_id'},
            {data :'case_manager_id'},
        ],
        "pageLength": 25
    });

    $('#care_provider-care_provider-list tbody').on( 'click', 'tr', function () {
        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');
        var d = $('#care_provider-care_provider-list').DataTable().row( this ).data();
        $('#care_provider-care_provider-entry').load('{!!guard_url('care_provider/care_provider')!!}' + '/' + d.id);
    });

    $('#care_provider-care_provider-list tbody').on( 'change', "input[name^='id[]']", function (e) {
        e.preventDefault();

        aIds = [];
        $(".child").remove();
        $(this).parent().parent().removeClass('parent'); 
        $("input[name^='id[]']:checked").each(function(){
            aIds.push($(this).val());
        });
    });

    $("#care_provider-care_provider-check-all").on( 'change', function (e) {
        e.preventDefault();
        aIds = [];
        if ($(this).prop('checked')) {
            $("input[name^='id[]']").each(function(){
                $(this).prop('checked',true);
                aIds.push($(this).val());
            });

            return;
        }else{
            $("input[name^='id[]']").prop('checked',false);
        }
        
    });


    $(".reset_filter").click(function (e) {
        e.preventDefault();
        $("#form-search")[ 0 ].reset();
        $('#form-search input,#form-search select').each( function () {
          oTable.search( this.value ).draw();
        });
        $('#care_provider-care_provider-list .reset_filter').css('display', 'none');

    });


    // Add event listener for opening and closing details
    $('#care_provider-care_provider-list tbody').on('click', 'td.details-control', function (e) {
        e.preventDefault();
        var tr = $(this).closest('tr');
        var row = table.row( tr );
 
        if ( row.child.isShown() ) {
            // This row is already open - close it
            row.child.hide();
            tr.removeClass('shown');
        } else {
            // Open this row
            row.child( format(row.data()) ).show();
            tr.addClass('shown');
        }
    });

});
</script>