<?php

namespace B2buy\CareProvider;

use User;

class CareProvider
{
    /**
     * $care_provider object.
     */
    protected $care_provider;

    /**
     * Constructor.
     */
    public function __construct(\B2buy\CareProvider\Interfaces\CareProviderRepositoryInterface $care_provider)
    {
        $this->care_provider = $care_provider;
    }

    /**
     * Returns count of care_provider.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.care_provider.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->care_provider->pushCriteria(new \Litepie\B2buy\Repositories\Criteria\CareProviderUserCriteria());
        }

        $care_provider = $this->care_provider->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('care_provider::' . $view, compact('care_provider'))->render();
    }
}
