<?php

namespace B2buy\CareProvider\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CareProviderTransformer extends TransformerAbstract
{
    public function transform(\B2buy\CareProvider\Models\CareProvider $care_provider)
    {
        return [
            'id'                => $care_provider->getRouteKey(),
            'key'               => [
                'public'    => $care_provider->getPublicKey(),
                'route'     => $care_provider->getRouteKey(),
            ], 
            'first_name'        => $care_provider->first_name,
            'last_name'         => $care_provider->last_name,
            'email'             => $care_provider->email,
            'phone'             => $care_provider->phone,
            'dob'               => $care_provider->dob,
            'address_line1'     => $care_provider->address_line1,
            'address_line2'     => $care_provider->address_line2,
            'city'              => $care_provider->city,
            'post_code'         => $care_provider->post_code,
            'state_id'          => $care_provider->state_id,
            'package_type'      => $care_provider->package_type,
            'type'              => $care_provider->type,
            'self_managed'      => $care_provider->self_managed,
            'care_provider'     => $care_provider->care_provider,
            'care_first_name'   => $care_provider->care_first_name,
            'care_last_name'    => $care_provider->care_last_name,
            'care_email'        => $care_provider->care_email,
            'care_phone'        => $care_provider->care_phone,
            'submitted_by'      => $care_provider->submitted_by,
            'referel_source'    => $care_provider->referel_source,
            'terms'             => $care_provider->terms,
            'user_type'         => $care_provider->user_type,
            'user_id'           => $care_provider->user_id,
            'company_id'        => $care_provider->company_id,
            'case_manager_id'   => $care_provider->case_manager_id,
            'deleted_at'        => $care_provider->deleted_at,
            'url'               => [
                'public'    => trans_url('care_provider/'.$care_provider->getPublicKey()),
                'user'      => guard_url('care_provider/care_provider/'.$care_provider->getRouteKey()),
            ], 
            'status'            => trans('app.'.$care_provider->status),
            'created_at'        => format_date($care_provider->created_at),
            'updated_at'        => format_date($care_provider->updated_at),
        ];
    }
}